# noCAPTCHA (new reCAPTCHA) [![Packagist License][badge_license]](LICENSE.md) [![For PHP][badge_php]][link-github-repo]

[![Github Workflow Status][badge_build]][link-github-status]
[![Coverage Status][badge_coverage]][link-scrutinizer]
[![Scrutinizer Code Quality][badge_quality]][link-scrutinizer]
[![SensioLabs Insight][badge_insight]][link-insight]
[![Github Issues][badge_issues]][link-github-issues]

[![Packagist][badge_package]][link-packagist]
[![Packagist Release][badge_release]][link-packagist]
[![Packagist Downloads][badge_downloads]][link-packagist]

*By [ARCANEDEV&copy;](http://www.arcanedev.net/)*

## What is reCAPTCHA?

> reCAPTCHA is a free service that protects your site from spam and abuse. It uses advanced risk analysis engine to tell humans and bots apart.
With the new API, a significant number of your valid human users will pass the reCAPTCHA challenge without having to solve a CAPTCHA.
reCAPTCHA comes in the form of a widget that you can easily add to your blog, forum, registration form, etc.
> - [Google RECAPTCHA](https://developers.google.com/recaptcha/)

![New Google reCAPTCHA](https://developers.google.com/recaptcha/images/newCaptchaAnchor.gif)

### Features

  * Framework agnostic package.
  * `v2` (+ Invisible) & `v3` reCaptcha are supported.
  * Easy setup &amp; configuration.
  * Well documented &amp; IDE Friendly.
  * Well tested with maximum code quality.
  * Laravel `4.2` to `9.x` are supported.
  * PSR-7 Support (ServerRequest verification).
  * Made with :heart: &amp; :coffee:.

## Table of contents

  1. [Installation and Setup](_docs/1-Installation-and-Setup.md)
  2. [Configuration](_docs/2-Configuration.md)
  3. [Usage](_docs/3-Usage.md)
  4. [Extras](_docs/4-Extras.md)
  5. [FAQ](_docs/5-FAQ.md)

## Contribution

Any ideas are welcome. Feel free to submit any issues or pull requests, please check the [contribution guidelines](CONTRIBUTING.md).

## Security

If you discover any security related issues, please email arcanedev.maroc@gmail.com instead of using the issue tracker.

## Credits

- [ARCANEDEV][link-author]
- [All Contributors][link-contributors]

[badge_php]:          https://img.shields.io/badge/PHP-Framework%20agnostic-4F5B93.svg?style=flat-square
[badge_license]:      https://img.shields.io/packagist/l/arcanedev/no-captcha.svg?style=flat-square
[badge_build]:       https://img.shields.io/github/workflow/status/ARCANEDEV/noCAPTCHA/run-tests?style=flat-square
[badge_coverage]:     https://img.shields.io/scrutinizer/coverage/g/ARCANEDEV/noCAPTCHA.svg?style=flat-square
[badge_quality]:      https://img.shields.io/scrutinizer/g/ARCANEDEV/noCAPTCHA.svg?style=flat-square
[badge_insight]:      https://img.shields.io/sensiolabs/i/ae37b4c0-5478-4afb-9a71-1fe5534d8ef5.svg?style=flat-square
[badge_issues]:       https://img.shields.io/github/issues/ARCANEDEV/noCAPTCHA.svg?style=flat-square
[badge_package]:      https://img.shields.io/badge/package-arcanedev/no--captcha-blue.svg?style=flat-square
[badge_release]:      https://img.shields.io/packagist/v/arcanedev/no-captcha.svg?style=flat-square
[badge_downloads]:    https://img.shields.io/packagist/dt/arcanedev/no-captcha.svg?style=flat-square

[link-author]:        https://github.com/arcanedev-maroc
[link-github-repo]:   https://github.com/ARCANEDEV/noCAPTCHA
[link-github-status]: https://github.com/ARCANEDEV/noCAPTCHA/actions
[link-github-issues]: https://github.com/ARCANEDEV/noCAPTCHA/issues
[link-contributors]:  https://github.com/ARCANEDEV/noCAPTCHA/graphs/contributors
[link-packagist]:     https://packagist.org/packages/arcanedev/no-captcha
[link-scrutinizer]:   https://scrutinizer-ci.com/g/ARCANEDEV/noCAPTCHA/?branch=master
[link-insight]:       https://insight.sensiolabs.com/projects/ae37b4c0-5478-4afb-9a71-1fe5534d8ef5
